Vulnerable to Spectre: YES!

Moderator: ModTeam

bobgarb
Posts: 7
Joined: Fri Apr 25, 2008 17:06
Product(s): FUJITSU SIEMENS ESPRIMO V5535

Vulnerable to Spectre: YES!

Postby bobgarb » Tue Jan 23, 2018 15:17

I've got a Lifebook AH512 seems I'm Vulnerable to Spectre seems that I need a Bios update to be fully protected but the last bios update was in 2013!

me@work
Posts: 955
Joined: Thu Jun 22, 2006 15:32
Product(s): Scaleo Pi2662, Primergy

Re: Vulnerable to Spectre: YES!

Postby me@work » Wed Jan 24, 2018 16:22

You're right with both statements, but what's your point, anyway?

If you cared to search a little, or checked the latest posts in this very forum part, you'd probably have noticed the hint to this repeatedly updated manufacturer's website, which proposes an updated BIOS for AH512 "to be done", although with an open release date.

Of course, this will definitely depend on Intel finally releasing a microcode patch that will actually work, and not fail as many systems as often as possible...

antikythera
Posts: 24
Joined: Mon Jun 12, 2017 16:33
Product(s): LIFEBOOK A512

Re: Vulnerable to Spectre: YES!

Postby antikythera » Fri Mar 16, 2018 23:25

Well yes, t.b.d but the microcode update released 12th March 2018 runs fine for my A512 with ivy bridge i3-3110M. the same microcode update also covers sandy bridge as well as ivy bridge

Yes, I'm running Linux to be able to state that fact but it means Fujitsu will have something stable to patch their firmware with now. This means eventually, people still using Windows on their machine will get similar protection to those of use already running the corrected microcode via Linux.

Code: Select all

 ██████████████████  ████████     antikythera@Akira
 ██████████████████  ████████     OS: Manjaro 17.1.6 Hakoila
 ██████████████████  ████████     Kernel: x86_64 Linux 4.15.8-1-MANJARO
 ██████████████████  ████████     Uptime: 20m
 ████████            ████████     Packages: 1136
 ████████  ████████  ████████     Shell: bash 4.4.19
 ████████  ████████  ████████     Resolution: 1366x768
 ████████  ████████  ████████     DE: KDE 5.43.0 / Plasma 5.12.3
 ████████  ████████  ████████     WM: KWin
 ████████  ████████  ████████     WM Theme: Breath
 ████████  ████████  ████████     GTK Theme: Breath [GTK2/3]
 ████████  ████████  ████████     Icon Theme: maia
 ████████  ████████  ████████     Font: Noto Sans Regular
 ████████  ████████  ████████     CPU: Intel Core i3-3110M @ 4x 2.4GHz [55.0°C]
                                  GPU: Mesa DRI Intel(R) Ivybridge Mobile
                                  RAM: 667MiB / 15933MiB
[antikythera@Akira ~]$  grep . /sys/devices/system/cpu/vulnerabilities/*
/sys/devices/system/cpu/vulnerabilities/meltdown:Mitigation: PTI
/sys/devices/system/cpu/vulnerabilities/spectre_v1:Mitigation: __user pointer sanitization
/sys/devices/system/cpu/vulnerabilities/spectre_v2:Mitigation: Full generic retpoline, IBPB

16/03/2018 22:02   microcode   [microcode updated early to revision 0x1f, date = 2018-02-07
16/03/2018 22:02   microcode   sig=0x306a9, pf=0x10, revision=0x1f

LIFEBOOK A512 (FJNBB29) - Intel Core i3-3110M, 16GB Crucial Micron DDR3 1600 RAM kit, 525GB Crucial MX300 SSD


Return to “LIFEBOOK”

Who is online

Users browsing this forum: No registered users and 0 guests